class PluginPuppetBaselineAddResourceNameToBaselineDifferences < ActiveRecord::Migration
  def self.up
    add_column :baseline_differences, :resource_name, :string

    BaselineDifference.connection.execute(<<SQL)
UPDATE baseline_differences, resource_statuses
SET baseline_differences.resource_name = CONCAT(resource_statuses.resource_type, '[', resource_statuses.title, ']')
WHERE resource_statuses.id = baseline_differences.report_resource_id
SQL

    BaselineDifference.connection.execute(<<SQL)
UPDATE baseline_differences, baseline_resources
SET baseline_differences.resource_name = CONCAT(baseline_resources.resource_type, '[', baseline_resources.title, ']')
WHERE baseline_resources.id = baseline_differences.baseline_resource_id AND baseline_differences.resource_name IS NULL
SQL
  end

  def self.down
    remove_column :baseline_differences, :resource_name
  end
end
